Commit fb17dd6a authored by Felix Paul Kühne's avatar Felix Paul Kühne

* disable the usage of the OSX SDKs by default due to a known incompatibility...

* disable the usage of the OSX SDKs by default due to a known incompatibility between the libraries used on 10.4.8 (or higher) and the existing 10.4u SDK. This solves the current compilation issues with the AUHAL and Screen.Mac modules and closes #1399
parent 5b41c888
......@@ -215,12 +215,8 @@ case "${host_os}" in
enable_xvideo="no"
echo " Assuming --disable-xvideo"
with_macosx_sdk="yes"
echo " Assuming --with-macosx-sdk"
enable_screen="no"
echo " Attention: Screen Capturing is not available"
echo " Assuming --disable-screen"
with_macosx_sdk="no"
echo " Compiling without SDK usage"
fi
if test ".`uname -p`" = ".i386"; then
dnl Due to a ld(64) bug in 10.5 we cannot use our mmx code
......@@ -372,7 +368,7 @@ if test "${with_macosx_sdk}" != "no" ; then
CC="${CC} -isysroot /Developer/SDKs/MacOSX10.4u.sdk"
CXX="${CXX} -isysroot /Developer/SDKs/MacOSX10.4u.sdk"
OBJC="${OBJC} -isysroot /Developer/SDKs/MacOSX10.4u.sdk"
LD="${LD} -syslibroot /Developer/SDKs/MacOSX10.4u.sdk"
LD="${LD} -syslibroot/Developer/SDKs/MacOSX10.4u.sdk"
CFLAGS_save="${CFLAGS_save} -DMACOSX_DEPLOYMENT_TARGET=10.4 -mmacosx-version-min=10.4"; CFLAGS="${CFLAGS_save}"
CXXFLAGS_save="${CXXFLAGS_save} -DMACOSX_DEPLOYMENT_TARGET=10.4 -mmacosx-version-min=10.4"; CXXFLAGS="${CXXFLAGS_save}"
OBJCFLAGS_save="${OBJCFLAGS_save} -DMACOSX_DEPLOYMENT_TARGET=10.4 -mmacosx-version-min=10.4"; OBJCFLAGS="${OBJCFLAGS_save}"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment